<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'adverts',

    /*
     * Modules.
     */
    'modules'   => ['advert'],

    
    'advert'       => [
        'model' => [
            'model'                 => \Litecms\Adverts\Models\Advert::class,
            'table'                 => 'adverts',
            'presenter'             => \Litecms\Adverts\Repositories\Presenter\AdvertPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['owner_id',  'type',  'furnishement',  'postcode',  'availability_date',  'rent',  'rent_type',  'n_bedrooms',  'n_bathrooms',  'n_receptions',  'epc',  'title',  'description',  'images',  'contact_auths'],
            'translatables'         => [],
            'upload_folder'         => 'adverts/advert',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Adverts',
            'module'    => 'Advert',
        ],

    ],
];
