<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateAdvertsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: adverts
         */
        Schema::create('adverts', function ($table) {
            $table->increments('id');
            $table->integer('owner_id')->nullable();
            $table->enum('type', [House,Flat,Room])->nullable();
            $table->enum('furnishement', [Furnished,Partly Furnished,Unfurnished])->nullable();
            $table->string('postcode', 64)->nullable();
            $table->date('availability_date')->nullable();
            $table->double('rent', 50)->nullable();
            $table->enum('rent_type', [Weekly,Monthly])->nullable();
            $table->integer('n_bedrooms')->nullable();
            $table->integer('n_bathrooms')->nullable();
            $table->integer('n_receptions')->nullable();
            $table->enum('epc', [A,B,C,D,E,F,G])->nullable();
            $table->string('title', 255)->nullable();
            $table->string('description', 3000)->nullable();
            $table->longText('images')->nullable();
            $table->enum('contact_auths', [None,Email,Phone,Name,All but email,All but phone,All but name,All])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('adverts');
    }
}
