<?php

namespace Litecms\Adverts\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AdvertTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Adverts\Models\Advert $advert)
    {
        return [
            'id'                => $advert->getRouteKey(),
            'key'               => [
                'public'    => $advert->getPublicKey(),
                'route'     => $advert->getRouteKey(),
            ], 
            'owner_id'          => $advert->owner_id,
            'type'              => $advert->type,
            'furnishement'      => $advert->furnishement,
            'postcode'          => $advert->postcode,
            'availability_date' => $advert->availability_date,
            'rent'              => $advert->rent,
            'rent_type'         => $advert->rent_type,
            'n_bedrooms'        => $advert->n_bedrooms,
            'n_bathrooms'       => $advert->n_bathrooms,
            'n_receptions'      => $advert->n_receptions,
            'epc'               => $advert->epc,
            'title'             => $advert->title,
            'description'       => $advert->description,
            'images'            => $advert->images,
            'contact_auths'     => $advert->contact_auths,
            'url'               => [
                'public'    => trans_url('adverts/'.$advert->getPublicKey()),
                'user'      => guard_url('adverts/advert/'.$advert->getRouteKey()),
            ], 
            'status'            => trans('app.'.$advert->status),
            'created_at'        => format_date($advert->created_at),
            'updated_at'        => format_date($advert->updated_at),
        ];
    }
}